document.addEventListener('DOMContentLoaded', () => {
  const filterButtons = document.querySelectorAll('.filters button');
  const cards = document.querySelectorAll('.operation-card');

  filterButtons.forEach(button => {
    button.addEventListener('click', () => {
      // Remove active class from all buttons
      filterButtons.forEach(btn => btn.classList.remove('active'));
      
      // Add active class to clicked button
      button.classList.add('active');
      
      const filterType = button.dataset.type;
      
      // Filter cards
      cards.forEach(card => {
        if (filterType === 'all' || card.dataset.type === filterType) {
          card.style.display = 'block';
          setTimeout(() => card.style.opacity = '1', 0);
        } else {
          card.style.opacity = '0';
          setTimeout(() => card.style.display = 'none', 300);
        }
      });
    });
  });

  // Animate usage meters on page load
  cards.forEach(card => {
    const meter = card.querySelector('.meter-fill');
    const width = meter.style.width;
    meter.style.width = '0';
    setTimeout(() => {
      meter.style.width = width;
    }, 300);
  });
});
